%najpre pokrenuti neku od simulaciju modela Monofaznog Mosnog Invertora i sacekati
%da se ista izvrsi
%nakon sto se Workspace napuni sa odgovarajucim podacima, pokrenuti ovu
%skriptu

%Prvi grafik predstavlja frekventni spektar napona pre filtra, dok je drugi
%grafik predstavlja frekventni spektar nakon filtriranja

Fs=1e7;
Y=fft(Vout(:,2));
L=length(Vout(:,2));
P2 = abs(Y/L);
P1 = P2(1:L/2+1);
P1(2:end-1) = 2*P1(2:end-1);
f = Fs*(0:(L/2))/L;
figure;
plot(f,P1,'LineWidth', 2) 
title('Frekventni spektar napona Vout(t)')
xlabel('f (Hz)')
ylabel('|P1(f)|')
xlim([-1e3 1e5]);
ylim([0 450]);

Y1=fft(Vg(:,2));
L1=length(Vg(:,2));
P4=abs(Y1/L1);
P3=P4(1:L1/2+1);
P3(2:end-1) = 2*P3(2:end-1);
f1 = Fs*(0:(L1/2))/L1;
figure;
plot(f1,P3,'LineWidth', 2) 
title('Frekventni spektar napona Vg(t)')
xlabel('f (Hz)')
ylabel('|P3(f)|')
xlim([-1e3 1e5]);


